%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Net-Server
Version:       2.014
Release:       1mamba
Summary:       Net::Server - Extensible, general Perl server engine
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Net/Net-Server-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver

%description
Net::Server - Extensible, general Perl server engine

%prep

%setup -q -n Net-Server-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 2.014-1mamba
- automatic version update by autodist

* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 2.013-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Automatic Build System <autodist@mambasoft.it> 2.010-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 2.009-1mamba
- automatic update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 2.008-1mamba
- automatic update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.007-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.006-1mamba
- perl 5.16 mass rebuild

* Sat Jun 02 2012 Automatic Build System <autodist@mambasoft.it> 2.002-1mamba
- automatic version update by autodist

* Sun Jul 18 2010 Automatic Build System <autodist@mambasoft.it> 0.99-1mamba
- automatic update by autodist

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.97-1mamba
- package created by autospec
